@charset "utf-8";


/* --------------------------------------------


#footer


---------------------------------------------- */

.footer {
    position: relative;
    padding: 8rem 0 2rem;
    background: url(../_image/common/footer__bg.webp) no-repeat top center / cover;
}

.footer__wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    padding-bottom: 10rem;
}

.footer__logo {
    line-height: 1.6;
    font-weight: var(--fw-medium);
    color: var(--c-white);
}

.footer__logo a {
    color: var(--c-white);
}

@media (hover:hover) {
	.footer__logo a:hover {
		color: var(--c-text);
		transition: 0.4s
	}
}

.footer__logo span {
    margin-bottom: 1.5rem;
    display: block;
    font-size: var(--fz-xxl);
    font-weight: var(--fw-bold);
}

.footer__logo .address,
.footer__logo .mailAddress {
    font-size: var(--fz-s);
    font-weight: var(--fw-medium);
}

.footer__logo .mailAddress {
    margin-bottom: 1.5rem;
}

.footer__logo .mailAddress img {
    width: 160px;
}

.googleMap .linkBtn {
    padding: 1.5rem 3rem;
    letter-spacing: 0.01em;
    color: var(--c-purple);
    font-size: var(--fz-s);
    background-color: var(--c-white);
}

@media (hover:hover) {
	.googleMap .linkBtn:hover {
		color: var(--c-white);
        background-color: var(--c-purple);
		transition: 0.4s
	}
}

.footerNav__list {
    display: flex;
    align-items: center;
    gap: 1.2rem;
    font-weight: var(--fw-bold);
}

.footerNav__item {
    position: relative;
}

.footerNav__item:not(:last-child)::after {
    content: "／";
    margin-left: 1.2rem;
    color: var(--c-white);
    font-size: var(--fz-l);
    font-weight: var(--fw-bold);
}

.footerNav__list a {
    color: var(--c-white);
}

@media (hover:hover) {
	.footerNav__list a:hover {
		color: var(--c-text);
		transition: 0.4s
	}
}

.copyright {
    margin-right: 4rem;
    text-align: right;
    color: var(--c-white);
    font-size: var(--fz-copyRight);
}

/* ---------- スクロールバー ---------- */

.scroll-bar.page-top {
    position: absolute;
    top: 0;
    bottom: auto;
    right: 20px;
}

.scroll-bar.page-top span {
    display: inline-block;
    padding: 10px 10px 20px;
    font-size: var(--fz-s);
    font-weight: var(--fw-bold);
    line-height: 1.0;
    writing-mode: vertical-lr;
    transition: 0.2s;
}

.scroll-bar.page-top span::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: auto;
    left: 0;
    width: 2px;
    height: 150px;
    background: var(--c-text);
}

.scroll-bar.page-top span::after {
    content: '';
    position: absolute;
    top: 0;
    bottom: auto;
    left: 0;
    width: 2px;
    height: 150px;
    background: var(--c-white);
    animation: sdl02 3.5s cubic-bezier(0.42, 0, 0.58, 1) infinite;
}

@keyframes sdl02 {
    0% {
        transform: scale(1, 0);
        transform-origin: 0 100%;
    }
    50% {
        transform: scale(1, 1);
        transform-origin: 0 100%;
    }
    50.1% {
        transform: scale(1, 1);
        transform-origin: 0 0;
    }
    100% {
        transform: scale(1, 0);
        transform-origin: 0 0;
    }
}

@media (hover:hover) {
    .page-top:hover span {
        padding: 20px 10px 10px;
        transition: 0.4s;
    }
}

@media only screen and (max-width:1300px) {
    .footer__wrap {
        align-items: flex-start;
        max-width: 1000px;
    }

    .footer__nav {
        width: 40%;
    }

    .footerNav__list {
        flex-wrap: wrap;
        justify-content: flex-start;
        gap: 10%;
    }

    .footerNav__item {
        width: 40%;
        margin-bottom: 2rem;
    }

    .footerNav__item:first-child {
        order: 1;
    }

    .footerNav__item:nth-child(2) {
        order: 3;
    }

    .footerNav__item:nth-child(3) {
        order: 5;
    }

    .footerNav__item:nth-child(4) {
        order: 2;
    }

    .footerNav__item:nth-child(5) {
        order: 4;
    }

    .footerNav__item:nth-child(6) {
        order: 6;
    }

    .footerNav__item:not(:last-child)::after {
        content: "";
    }
}

@media only screen and (max-width:1100px) {
    .footer__wrap {
        max-width: 960px;
    }
}

@media only screen and (max-width:640px) {
    .footer__wrap {
        flex-direction: column;
        padding-bottom: 4rem;
    }

    .footer__logo {
        margin-bottom: 6rem;
        font-size: 1.4rem;
        letter-spacing: -0.01em;
    }

    .footer__logo span {
        margin-bottom: 1.2rem;
        letter-spacing: 0.05em;
    }

    .footer__logo .mailAddress img {
        width: 240px;
    }

    .footer__nav {
        width: 100%;
    }

    .footerNav__list {
        justify-content: center;
    }

    .footerNav__list::after {
        width: 35%;
    }

    .footerNav__item {
        width: 35%;
        margin-bottom: 2rem;
    }

    .copyright {
        margin-right: 0;
        text-align: center;
    }

    /* ---------- スクロールバー ---------- */

    .scroll-bar.page-top {
        right: 10px;
    }

    .scroll-bar.page-top span::before {
        width: 3px;
        height: 120px;
    }

    .scroll-bar.page-top span::after {
        width: 3px;
        height: 120px;
    }
}

/* --------------------------------------------

#footer　印刷時

---------------------------------------------- */

@media print {
    #footer,
    #page-top {
        display: none;
    }
}
